> ## Documentation Index
> Fetch the complete documentation index at: https://perps-api.vooi.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get broker exchange settings for all exchanges



## OpenAPI

````yaml https://vooi-api-app.fly.dev/swagger/json get /broker/exchanges
openapi: 3.1.0
info:
  title: VOOI API
  description: Unified perps API
  version: '1.0'
  contact: {}
servers:
  - url: https://perps-api.vooi.io
security: []
tags: []
paths:
  /broker/exchanges:
    get:
      tags:
        - Broker
      summary: Get broker exchange settings for all exchanges
      operationId: BrokerController_listExchanges
      parameters:
        - name: X-Broker-Key
          in: header
          description: Broker API key
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GetBrokerExchangeDTO'
components:
  schemas:
    GetBrokerExchangeDTO:
      type: object
      properties:
        exchange:
          type: string
          enum:
            - aster
            - binance
            - bybit
            - extended
            - gate
            - hyperliquid
            - lighter
            - mexc
            - ondo
            - robinhood
          description: Perpetual exchange
        identifier:
          type: string
          description: Broker identifier for the exchange
          example: 0xabc...
        limitFeeBps:
          anyOf:
            - type: string
              pattern: \d+(\.\d+)?
              description: Numeric value as string
              example: '0.001'
            - type: 'null'
          description: >-
            Broker fee in basis points charged on limit orders (orders sent with
            a price); null when the exchange has no builder fee
          example: '10'
        marketFeeBps:
          anyOf:
            - type: string
              pattern: \d+(\.\d+)?
              description: Numeric value as string
              example: '0.001'
            - type: 'null'
          description: >-
            Broker fee in basis points charged on market orders (orders sent
            without a price); null when the exchange has no builder fee
          example: '30'
        maxFeeBps:
          anyOf:
            - type: string
              pattern: \d+(\.\d+)?
              description: Numeric value as string
              example: '0.001'
            - type: 'null'
          description: >-
            Broker fee in basis points used as default during user approval;
            null when the exchange has no builder fee
          example: '30'
      required:
        - exchange
        - identifier
        - limitFeeBps
        - marketFeeBps
        - maxFeeBps
      title: BrokerExchange

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.